Distribution:	CCux
Packager:	Christian Metzen <metzench@ccux-linux.de>

Name:		gtk-sharp
Version:	2.12.8
Release:	2
Summary:	GTK+ and GNOME bindings for Mono
Group:		System/Libraries
License:	GNU/LGPL
URL:		http://gtk-sharp.sf.net
Source0:	gtk-sharp-%{version}.tar.bz2
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:	i686

#Patches
Patch1:		gtk-sharp-2.8.2-docfix.patch

#Automatically resolved build dependencies
BuildRequires: atk-devel
BuildRequires: cairo-devel
BuildRequires: expat-devel
BuildRequires: fontconfig-devel
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: glib-devel
BuildRequires: gtk2+-devel
BuildRequires: libglade-devel
BuildRequires: libpng-devel
BuildRequires: libX11-devel
BuildRequires: libxml2-devel
BuildRequires: libXrender-devel
BuildRequires: mono-core-devel
BuildRequires: pango-devel
BuildRequires: perl
BuildRequires: perl-XML-LibXML
BuildRequires: pixman-devel
BuildRequires: zlib-devel

%description
This package provides a library that allows you to build
fully native graphical GNOME applications using Mono. Gtk#
is a binding to GTK+, the cross platform user interface
toolkit used in GNOME. It includes bindings for Gtk, Atk,
Pango, Gdk. 

%package	gapi
Group:		Development/Languages
Summary:	Glib and GObject C source parser and C generator for the creation and maintenance of managed bindings for Mono and .NET
Requires:	perl-XML-LibXML-Common perl-XML-LibXML perl-XML-SAX

%description	gapi
This package provides developer tools for the creation and
maintainance of managed bindings to native libraries which utilize
glib and GObject. Some examples of libraries currently bound using
the GAPI tools and found in Gtk# include Gtk, Atk, Pango, Gdk.

%package	devel
Summary:	files needed for developing with gtk-sharp2
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	pkgconfig

%description	devel
This package provides the necessary development libraries and headers
for writing gtk-sharp2 applications.

%package	doc
Group:		Documentation
Summary:	Gtk# documentation
Requires:	%{name} = %{version}-%{release}

%description	doc
This package provides the Gtk# documentation for monodoc.

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%prep
%setup -qn gtk-sharp-%{version}
#%patch1 -p1 -b .docfix

%build
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
%configure
make %{?_smp_mflags}

%install
%{__rm} -rf $RPM_BUILD_ROOT
export MONO_SHARED_DIR=%{_builddir}/%{?buildsubdir}
make install DESTDIR=$RPM_BUILD_ROOT GACUTIL_FLAGS="/package gtk-sharp-2.0 /gacdir %{_libdir} /root ${RPM_BUILD_ROOT}%{_libdir}"
%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.*a

install -d $RPM_BUILD_ROOT%{_libdir}/monodoc/sources/
install -m 755 doc/gtk-sharp-docs.source $RPM_BUILD_ROOT%{_libdir}/monodoc/sources/
cp -R doc/en $RPM_BUILD_ROOT%{_libdir}/monodoc/sources/gtk-sharp-docs

%clean
%{__rm} -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc COPYING ChangeLog README
%{_libdir}/*.so
%dir %{_libdir}/gtk-sharp-2.0
%{_libdir}/mono/gac
%{_libdir}/mono/gtk-sharp-2.0

%files gapi
%defattr(-,root,root,-)
%{_bindir}/gapi2-codegen
%{_bindir}/gapi2-fixup
%{_bindir}/gapi2-parser
%{_libdir}/gtk-sharp-2.0/gapi_codegen.exe
%{_libdir}/gtk-sharp-2.0/gapi-fixup.exe
%{_libdir}/gtk-sharp-2.0/gapi-parser.exe
%{_libdir}/gtk-sharp-2.0/gapi_pp.pl
%{_libdir}/gtk-sharp-2.0/gapi2xml.pl
%{_datadir}/gapi-2.0
%{_libdir}/pkgconfig/gapi-2.0.pc

%files devel
%defattr(-,root,root,-)
%{_libdir}/pkgconfig/*-sharp-2.0.pc
%{_libdir}/pkgconfig/gtk-dotnet-2.0.pc

%files doc
%defattr(-,root,root,-)
%{_libdir}/monodoc

%changelog
* Fri Sep 10 2010 Karsten Brockmann <arcam@ccux-linux.de> 2.12.8-2
- rebuilt
* Wed Apr 01 2009 Christian Wasem <wasem@ccux-linux.de> 2.12.8-1
- Version update
* Sun Dec 02 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.0-2
- rebuild against mono 1.2.5.2
* Tue Apr 03 2007 Christian Metzen <metzench@ccux-linux.de> 2.10.0-1
- Initial release
